[![Build Status](https://travis-ci.org/SPBTV/spbtv_json_validator.svg?branch=master)](https://travis-ci.org/SPBTV/spbtv_json_validator)
[![Test Coverage](https://codeclimate.com/github/SPBTV/spbtv_json_validator/badges/coverage.svg)](https://codeclimate.com/github/SPBTV/spbtv_json_validator/coverage)
[![Code Climate](https://codeclimate.com/github/SPBTV/spbtv_json_validator/badges/gpa.svg)](https://codeclimate.com/github/SPBTV/spbtv_json_validator)
[![Gem Version](https://badge.fury.io/rb/spbtv_json_validator.svg)](http://badge.fury.io/rb/spbtv_json_validator)

# JsonValidator

Ensure model field is valid JSON

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'spbtv_json_validator'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install spbtv_json_validator

## Usage

```ruby
class User < ActiveRecord::Base
  validate :data, json: true
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/SPBTV/spbtv_json_validator. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

