# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'spbtv_json_validator'
  spec.version       = '0.1.0'
  spec.authors       = ['Artyom Bolshakov']
  spec.email         = ['abolshakov@spbtv.com']

  spec.summary       = 'Ensure model field is valid JSON'
  spec.description   = 'Ensure model field is valid JSON'
  spec.homepage      = 'https://github.com/SPBTV/spbtv_json_validator'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'activemodel', '>= 3.2'
  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.3'
end
